@charset "utf-8";

/* initialization */

:root {
  --bksp: 10%;
  --bksp2: calc(var(--bksp) * 2);
  --bkmg: 4rem;
  --bkmg2: calc(var(--bkmg) * 2);
  --max-wid: 1680px;
  --clr-wh: rgb(255 255 255);
  --clr-bk: rgb(0 0 0);
  --clr-txt: rgb(0 0 0);
  --clr-bl: rgb(81 180 232);
  --clr-yl: rgb(249 177 60);
  --clr-gl: rgb(82 181 103);
  --clr-pp: rgb(129 50 148);
  --clr-key: var(--clr-bl);
  --fs-S: 0.75rem;
  --fs-MS: 0.875rem;
  --fs-M: 1rem;
  --fs-ML: 1.2rem;
  --fs-L: 1.4rem;
  --fs-2L: 1.8rem;
  --fs-3L: 2.4rem;
  --fs-4L: 3.6rem;
  --lh-S: 1.3;
  --lh-M: 1.5;
  --lh-L: 1.7;
  --bdrd: 1rem;
  --anim: .25s;
}

body.type2 {--clr-key: var(--clr-yl);}
body.type3 {--clr-key: var(--clr-gl);}
body.type4 {--clr-key: var(--clr-pp);}

html {
  scroll-behavior: smooth;
  font-size: 16px;
}
body {
  margin: 0;
  padding: 0;
  background: url(images/bg.jpg) center;
  line-height: 1;
  color: var(--clr-txt);
  font-family: sans-serif;
  font-weight: 400;
  font-style: normal;
  font-optical-sizing: auto;
}

h1, h2, h3, h4 {
  line-height: var(--lh-S);
  font-weight: 700;
}
p {line-height: var(--lh-L);}

a {
  text-decoration: none;
  color: var(--clr-key);
}
a:hover {
  text-decoration: underline;
  color: var(--clr-txt);
}

ul, ol {
  margin: 0;
  padding: 0;
  list-style-type: none;
}
a:hover img {opacity: .8;}

/* common */

div.content {
  margin: 0 auto;
  max-width: var(--max-wid);
}

/* body */

.body h1, .body h2, .body h3, .body h4 {margin: 2em var(--bksp);}
.body p {margin: 1em var(--bksp);}
.body ul {
  margin: 1.5em var(--bksp);
  padding-left: 2em;
  list-style-type: disc;
}
.body li {
  margin: 0.75em 0;
  line-height: var(--lh-M);
}

/* home */

#home_hero h1 {
  margin: 0;
  height: 720px;
  background: url(images/hero_01.jpg) center no-repeat;
  background-size: contain;
  mix-blend-mode: darken;
  font-size: 0;
  color: transparent;
}
body.type2 #home_hero h1 {background-image: url(images/hero_02.jpg);}
body.type3 #home_hero h1 {background-image: url(images/hero_03.jpg);}
body.type4 #home_hero h1 {background-image: url(images/hero_04.jpg);}
#home_intro {margin: var(--bkmg2) 0;}
#home_intro h1 {color: var(--clr-key);}
#home_intro p.copy {font-size: var(--fs-L);}
#home_intro em {
  position: relative;
  display: inline-block;
  font-style: normal;
}
#home_intro em::after {
  content: '';
  position: absolute;
  left: -0.1em;
  bottom: 0;
  padding: 0 0.15em;
  width: 100%;
  height: 0.5em;
  background-color: var(--clr-key);
  transform: skew(19deg, -4deg);
  mix-blend-mode: multiply;
  opacity: 0.33;
}

#apply_terms {margin: var(--bkmg2) 0;}
div.iframe {
  box-sizing: border-box;
  margin: 0 var(--bksp2);
  height: auto;
  aspect-ratio: 4 / 3;
  background-color: rgb(255 255 255 / 50%);
  border: 3px solid rgb(0 0 0 / 33%);
  border-radius: 0.5rem;
  overflow-y: auto;
}
div.iframe *:last-child {margin-bottom: var(--bkmg);}
div.iframe::-webkit-scrollbar,
div.iframe::-webkit-scrollbar-thumb {
  border-radius: 0.75rem;
  background-color: rgb(0 0 0 / 17%);
}
div.agree {margin: 0 var(--bksp2);}

#home_apply {
  position: sticky;
  bottom: 1rem;
}
#home_apply div.btn {
  margin: var(--bkmg2) var(--bksp);
  padding: 1rem var(--bksp);
  background-color: var(--clr-wh);
  border-radius: var(--bdrd);
  box-shadow: 0 0 1.5rem rgb(0 0 0 / 10%);
  text-align: center;
}
a.btn {
  box-sizing: border-box;
  display: inline-block;
  padding: 1em 4em;
  text-align: center;
  background-color: var(--clr-key);
  border-radius: var(--bdrd);
  font-size: var(--fs-L);
  font-weight: bold;
  text-decoration: none;
  color: var(--clr-wh);
}
a.btn:hover {opacity: 0.66;}

#ft_credit {margin: 0 var(--bksp2);}
#copyright {
  display: block;
  margin: var(--bkmg) var(--bksp);
  font-size: var(--fs-M);
  text-align: center;
}

@media only screen and (max-width: 768px) {

:root {
  --bksp: 5%;
  --bksp2: 7.5%;
  --bkmg: 3rem;
  --bkmg2: 6rem;
  --fs-ML: 1.15rem;
  --fs-L: 1.3rem;
  --fs-2L: 1.5rem;
  --fs-3L: 2rem;
  --fs-4L: 2.4rem;
}

html {font-size: 16px;}

/* home */

#home_hero {margin: var(--bkmg) 0;}
#home_hero h1 {height: 72vh;}

div.iframe {margin: 0 var(--bksp);}

#home_apply {bottom: 0.5rem;}
#home_apply div.btn {
  margin: var(--bkmg2) var(--bksp);
  padding: 0.66rem 1rem;
  padding: 0;
}
a.btn {
  display: inline-block;
  padding: 1em;
  width: 100%;
}

}
